Re-capturando e re-lançando exceções

public class Teste {

static public void main(String[] args) {

try {

throw new Exception(“Pedro”);

} catch (Throwable t) {

try {

throw (Exception) t; // temos que converter para Exception para poder pegar no catch abaixo.

} catch (Exception e){e.printStackTrace();}

}

}

}

Output:

java.lang.Exception: Pedro

at Teste.main(Teste.java:4)

Anúncios
Esta entrada foi publicada em Java com as etiquetas . ligação permanente.

Deixe uma Resposta

Preencha os seus detalhes abaixo ou clique num ícone para iniciar sessão:

Logótipo da WordPress.com

Está a comentar usando a sua conta WordPress.com Terminar Sessão /  Alterar )

Google+ photo

Está a comentar usando a sua conta Google+ Terminar Sessão /  Alterar )

Imagem do Twitter

Está a comentar usando a sua conta Twitter Terminar Sessão /  Alterar )

Facebook photo

Está a comentar usando a sua conta Facebook Terminar Sessão /  Alterar )

w

Connecting to %s